Name:           python-opal-server
Version:        0.7.16
Release:        %autorelease
# Fill in the actual package summary to submit package to Fedora
Summary:        OPAL is an administration layer for Open Policy Agent (OPA), detecting changes to both policy and data and pushing live updates to your agents. The opal-server creates a pub/sub channel clients can subscribe to (i.e: acts as coordinator). The server also tracks a git repository (via webhook) for updates to policy (or static data) and accepts continuous data update notifications via REST api, which are then pushed to clients.

# No license information obtained, it's up to the packager to fill it in
License:        ...
URL:            https://github.com/permitio/opal
Source:         %{pypi_source opal-server}

BuildArch:      noarch
BuildRequires:  python3-devel


# Fill in the actual package description to submit package to Fedora
%global _description %{expand:
This is package 'opal-server' generated automatically by pyp2spec.}

%description %_description

%package -n     python3-opal-server
Summary:        %{summary}

%description -n python3-opal-server %_description


%prep
%autosetup -p1 -n opal-server-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
# For official Fedora packages, including files with '*' +auto is not allowed
# Replace it with a list of relevant Python modules/globs and list extra files in %%files
%pyproject_save_files '*' +auto


%check
%_pyproject_check_import_allow_no_modules -t


%files -n python3-opal-server -f %{pyproject_files}


%changelog
%autochangelog